Update user password
curl --request PATCH \
--url https://console.gmicloud.ai/api/v1/me/password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"newPassword": "MyNewSecurePassword123!",
"currentPassword": "OldPassword123!",
"passwordResetToken": "eyJhbGciOiJIUzI1NiIsInR...",
"otpCode": 321673
}
'import requests
url = "https://console.gmicloud.ai/api/v1/me/password"
payload = {
"newPassword": "MyNewSecurePassword123!",
"currentPassword": "OldPassword123!",
"passwordResetToken": "eyJhbGciOiJIUzI1NiIsInR...",
"otpCode": 321673
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
newPassword: 'MyNewSecurePassword123!',
currentPassword: 'OldPassword123!',
passwordResetToken: 'eyJhbGciOiJIUzI1NiIsInR...',
otpCode: 321673
})
};
fetch('https://console.gmicloud.ai/api/v1/me/password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group": "request",
"code": 0,
"validationDetail": [
{
"field": "newPassword",
"expression": "required",
"originalValue": "",
"reason": "This field is required."
}
]
}{
"group": "user",
"code": 11,
"message": "Invalid reset password token."
}{
"group": "user",
"code": 201,
"message": "Get user password reset data encountered error.",
"traces": [
"error occurred."
]
}me
Update user password
Allows a user to update their password.
- Authenticated user: Must use
Bearer <access token>in Authorization header and providecurrentPasswordin the request body. - Password reset user: Must provide
passwordResetTokenand provideotpCodein the request body.
PATCH
/
me
/
password
Update user password
Authorizations
An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.
Body
application/json
The request body for updating user password
The new password.
Example:
"MyNewSecurePassword123!"
The user's current password for update password.
- This field is only required for authenticated users.
Example:
"OldPassword123!"
A temporary Bearer token used for password reset authentication which is issued when a user requests a password reset.
- This field is only required for password reset users.
Example:
"eyJhbGciOiJIUzI1NiIsInR..."
A one-time passcode (OTP) for reset user password.
- Must be a numeric code.
- This field is only required for password reset users.
Example:
321673
Response
Successfully updated user password.
⌘I